#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(.gnu.linkonce.this_module) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used __section(__versions) = {
	{ 0xd4377020, "module_layout" },
	{ 0xdc3c46c1, "__asan_register_globals" },
	{ 0xe894f8f4, "__asan_unregister_globals" },
	{ 0xb9181105, "usbnet_get_stats64" },
	{ 0xcb81de49, "usbnet_tx_timeout" },
	{ 0x2b8d46c3, "cdc_ncm_change_mtu" },
	{ 0x2c47c11d, "eth_validate_addr" },
	{ 0x285a50e2, "eth_mac_addr" },
	{ 0x43485292, "usbnet_start_xmit" },
	{ 0x6a2a2cde, "usbnet_stop" },
	{ 0xf504c936, "usbnet_open" },
	{ 0xca499394, "usbnet_disconnect" },
	{ 0xa2a38933, "usbnet_probe" },
	{ 0xa9cfa605, "usb_deregister" },
	{ 0xe14d9a1d, "usb_register_driver" },
	{ 0x4f8207c9, "__asan_report_store1_noabort" },
	{ 0x25ac3b55, "usb_autopm_put_interface" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x20fe144, "usb_autopm_get_interface" },
	{ 0xcaa37391, "__asan_report_store_n_noabort" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x152a9a57, "in6_dev_finish_destroy" },
	{ 0xc33a2da7, "__vlan_find_dev_deep_rcu" },
	{ 0x65c70fee, "__dynamic_netdev_dbg" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x4629334c, "__preempt_count" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x26046078, "usbnet_skb_return" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfb578fc5, "memset" },
	{ 0x78534261, "skb_put" },
	{ 0xe07e41c3, "__netdev_alloc_skb" },
	{ 0xa283d55f, "__sanitizer_cov_trace_cmp4" },
	{ 0x4213dac3, "cdc_ncm_rx_verify_ndp16" },
	{ 0x1c6611ae, "ipv6_stub" },
	{ 0x80881e1f, "cdc_ncm_rx_verify_nth16" },
	{ 0xa61d36c0, "__dynamic_dev_dbg" },
	{ 0x7585abb, "usb_match_id" },
	{ 0x4ea3e450, "usb_set_interface" },
	{ 0x326b2135, "usb_cdc_wdm_register" },
	{ 0xffd62831, "cdc_ncm_bind_common" },
	{ 0xf2d20249, "cdc_ncm_select_altsetting" },
	{ 0x263ed23b, "__x86_indirect_thunk_r12" },
	{ 0x41e39a0a, "usbnet_suspend" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0xd4af3e3a, "usbnet_resume" },
	{ 0x4398123c, "__asan_report_store8_noabort" },
	{ 0x79defd59, "cdc_ncm_unbind" },
	{ 0xe3fffae9, "__x86_indirect_thunk_rbp" },
	{ 0xa02efa3, "__asan_report_load_n_noabort" },
	{ 0xb784d0a7, "__asan_report_load1_noabort" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x4d5c00ee, "__asan_report_store2_noabort" },
	{ 0x3cd61061, "_raw_spin_unlock_bh" },
	{ 0x5d182439, "cdc_ncm_fill_tx_frame" },
	{ 0x6927f281, "_raw_spin_lock_bh" },
	{ 0xb55ad780, "__asan_report_load2_noabort" },
	{ 0x9175b61f, "netdev_err" },
	{ 0xb0e6d9ce, "__asan_report_load4_noabort" },
	{ 0xc1a11054, "skb_pull" },
	{ 0x1fc82cf7, "__sanitizer_cov_trace_switch" },
	{ 0xc3d382c3, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xc639136b, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xff6b0073, "__dev_kfree_skb_any" },
	{ 0x3c142fbd, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xbb9ec552, "__asan_report_load8_noabort" },
	{ 0x126eac8d, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x5a7a45f8, "__sanitizer_cov_trace_pc" },
	{ 0xbdfb6dbb, "__fentry__" },
};

MODULE_INFO(depends, "usbnet,cdc_ncm,cdc-wdm");

MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v0BDBp*d*dc*dsc*dp*ic02isc0Eip00in*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*ic02isc0Eip00in*");
MODULE_ALIAS("usb:v03F0pA31Dd*dc*dsc*dp*ic02isc0Eip00in*");
MODULE_ALIAS("usb:v1BC7p1041d*dc*dsc*dp*ic02isc0Eip00in*");
MODULE_ALIAS("usb:v1BC7p1061d*dc*dsc*dp*ic02isc0Eip00in*");
MODULE_ALIAS("usb:v1BC7p1071d*dc*dsc*dp*ic02isc0Eip00in*");
MODULE_ALIAS("usb:v1BC7p1081d*dc*dsc*dp*ic02isc0Eip00in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc0Eip00in*");

MODULE_INFO(srcversion, "15F8EF50CB57EDB5D4A51D7");
